Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_model_contains_statement

## Name

librdf_model_contains_statement -- Check for a statement in the model

## Synopsis

``int `librdf_model_contains_statement`` (librdf_model* `model`, librdf_statement* `statement`);`

## Arguments

`model`

  the model object

`statement`

  the statement

## Description

It must be a complete statement - all of subject, predicate, object parts must be present. Use librdf_model_find_statements to search for partial statement matches.

## WARNING

librdf_model_contains_statement may not work correctly with stores using contexts. In this case, a search using librdf_model_find_statements for a non-empty list will return the correct result.

## Return value

non 0 if the model contains the statement

<<< Previous | Home | Next >>>
librdf_model_remove_statement | Up | librdf_model_as_stream